curl --request GET \
--url https://api.botpress.cloud/v1/chat/messages \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'{
"messages": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"direction": "incoming",
"userId": "<string>",
"conversationId": "<string>",
"tags": {},
"origin": "synthetic"
}
],
"meta": {
"nextToken": "<string>"
}
}curl --request GET \
--url https://api.botpress.cloud/v1/chat/messages \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'{
"messages": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"direction": "incoming",
"userId": "<string>",
"conversationId": "<string>",
"tags": {},
"origin": "synthetic"
}
],
"meta": {
"nextToken": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bot id
Integration id
Integration alias
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Conversation id
Filter by tags
Show child attributes
Date in ISO 8601 string with UTC timezone after which the message was created (inclusive)
Date in ISO 8601 string with UTC timezone before which the message was created (inclusive)
Was this page helpful?